/**
 * ActRelationshipOutcome.java
 *
 * File generated from the medication::ActRelationshipOutcome uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipOutcome.
 *
 * 
 */

@XmlType(name = "ActRelationshipOutcome")
@XmlEnum
@XmlRootElement(name = "ActRelationshipOutcome")
public enum ActRelationshipOutcome {
	@XmlEnumValue("OUTC")
	OUTC("OUTC"),
	@XmlEnumValue("GOAL")
	GOAL("GOAL"),
	@XmlEnumValue("RISK")
	RISK("RISK"),
	@XmlEnumValue("OBJC")
	OBJC("OBJC"),
	@XmlEnumValue("OBJF")
	OBJF("OBJF");
	
	private final String value;

    ActRelationshipOutcome(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipOutcome fromValue(String v) {
        for (ActRelationshipOutcome c: ActRelationshipOutcome.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}